////////////////////////////////////////////////////////////////////////////////
// Fichier: GC-Softs/GCS.FaceBook.FormConnect.pas
// Projet: GCS-FaceBook v0.1 - Copyright (c) 2010 GNU GPL v3
// Auteur: Guillaume Couture <GC-Softs@hotmail.com>
// SiteWeb: http://GcSofts.TuxFamily.org
////////////////////////////////////////////////////////////////////////////////

Unit GCS.FaceBook.FormConnect;

INTERFACE

{
	Si possible, essayer de trouver une nouvelle faon pour ce connecter
	sur Facebook. Utiliser le moins possible des composants non portable...
}

Uses
	Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
	Dialogs, ComCtrls, OleCtrls, SHDocVw;

Type
	////////////////////////////////////////
	// Classe Form Connect
	TGcsFaceBook_FormConnect = Class(TForm)
		StatusBar1: TStatusBar;
		WebBrowser1: TWebBrowser;
		Procedure WebBrowser1TitleChange(ASender: TObject; const Text: WideString);
		Procedure WebBrowser1StatusTextChange(ASender: TObject; Const Text: WideString);
		Procedure WebBrowser1NavigateComplete2(ASender: TObject; Const pDisp: IDispatch; var URL: OleVariant);
	Public
		ResultURL: String;
		SuccessURL: String;
		Function Navigate(AURL: String; ASuccessURL: String): Integer;
	End;

IMPLEMENTATION

{$R *.dfm}

Uses StrUtils, IdURI;

////////////////////////////////////////
// Fonction Navigate
Function TGcsFaceBook_FormConnect.Navigate(AURL: String; ASuccessURL: String): Integer;
Begin
	SuccessURL := ASuccessURL;
	WebBrowser1.Navigate(AURL);
	Result := ShowModal;
End;

////////////////////////////////////////
// Procedure Navigate Complete
Procedure TGcsFaceBook_FormConnect.WebBrowser1NavigateComplete2(ASender: TObject; const pDisp: IDispatch; var URL: OleVariant);
Begin
	If AnsiStartsStr(SuccessURL, URL) Then Begin
		ResultURL := URL;
		ModalResult := mrOK;
		Self.CloseModal;
	End;
End;

////////////////////////////////////////
// Procedure Status Text Change
Procedure TGcsFaceBook_FormConnect.WebBrowser1StatusTextChange(ASender: TObject; Const Text: WideString);
Begin
	StatusBar1.Panels[0].Text := Text;
End;

////////////////////////////////////////
// Procedure Title Change
Procedure TGcsFaceBook_FormConnect.WebBrowser1TitleChange(ASender: TObject; Const Text: WideString);
Begin
	Caption := Text;
End;

End.

